package com.kmall.admin.service;

import com.kmall.admin.entity.SysCusUnitCodeEntity;

import java.util.List;
import java.util.Map;

/**
 * 计量单位代码Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-11-10 15:34:36
 */
public interface SysCusUnitCodeService {

    /**
     * 根据主键查询实体
     *
     * @param sn 主键
     * @return 实体
     */
    SysCusUnitCodeEntity queryObject(String sn);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<SysCusUnitCodeEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param sysCusUnitCode 实体
     * @return 保存条数
     */
    int save(SysCusUnitCodeEntity sysCusUnitCode);

    /**
     * 根据主键更新实体
     *
     * @param sysCusUnitCode 实体
     * @return 更新条数
     */
    int update(SysCusUnitCodeEntity sysCusUnitCode);

    /**
     * 根据主键删除
     *
     * @param sn
     * @return 删除条数
     */
    int delete(String sn);

    /**
     * 根据主键批量删除
     *
     * @param sns
     * @return 删除条数
     */
    int deleteBatch(String[] sns);
}
